- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# static_pow Struct Template Reference
[Miscellaneous constructs used by Vaucanson]

Static exponentiation. More...

List of all members.

## Detailed Description

### template<size_t N, size_t P>
struct vcsn::misc::static_pow< N, P >

Static exponentiation.

It uses the fast exponentiation algorithm to save template recursion depth.

Definition at line 229 of file static.hh.